aboutsummaryrefslogtreecommitdiff
path: root/contrib/libxo/bin/setup.sh
diff options
context:
space:
mode:
Diffstat (limited to 'contrib/libxo/bin/setup.sh')
-rwxr-xr-xcontrib/libxo/bin/setup.sh31
1 files changed, 31 insertions, 0 deletions
diff --git a/contrib/libxo/bin/setup.sh b/contrib/libxo/bin/setup.sh
new file mode 100755
index 000000000000..5e03ff35e142
--- /dev/null
+++ b/contrib/libxo/bin/setup.sh
@@ -0,0 +1,31 @@
+#
+# Copyright 2013, Juniper Networks, Inc.
+# All rights reserved.
+# This SOFTWARE is licensed under the LICENSE provided in the
+# ../Copyright file. By downloading, installing, copying, or otherwise
+# using the SOFTWARE, you agree to be bound by the terms of that
+# LICENSE.
+
+
+if [ ! -f configure ]; then
+ vers=`autoreconf --version | head -1`
+ echo "Using" $vers
+
+ autoreconf --install
+
+ if [ ! -f configure ]; then
+ echo "Failed to create configure script"
+ exit 1
+ fi
+fi
+
+echo "Creating build directory ..."
+mkdir build
+
+echo "Setup is complete. To build libslax:"
+
+echo " 1) Type 'cd build ; ../configure' to configure libslax"
+echo " 2) Type 'make' to build libslax"
+echo " 3) Type 'make install' to install libslax"
+
+exit 0